# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'ReportForm.xml'
        db.add_column('gisdo_reportform', 'xml',
                      self.gf('django.db.models.fields.TextField')(null=True),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'ReportForm.xml'
        db.delete_column('gisdo_reportform', 'xml')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'dict.unitkind': {
            'Meta': {'object_name': 'UnitKind'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'dict.unittype': {
            'Meta': {'object_name': 'UnitType', 'db_table': "'unit_type'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'gisdo.reportform': {
            'Meta': {'object_name': 'ReportForm'},
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'null': 'True', 'db_index': 'True', 'blank': 'True'}),
            'date': ('django.db.models.fields.DateField', [], {}),
            'external_id': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'null': 'True', 'db_index': 'True', 'blank': 'True'}),
            'sent_time': ('django.db.models.fields.DateTimeField', [], {'null': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['users.UserProfile']"}),
            'xml': ('django.db.models.fields.TextField', [], {'null': 'True'})
        },
        'gisdo.reportformrow': {
            'Meta': {'object_name': 'ReportFormRow'},
            'applications': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'applications_confirmed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ch_enrolled': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'ch_enrolled_confirmed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ch_overall': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'ch_overall_confirmed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ch_queue': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'ch_queue_confirmed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'confirmed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'null': 'True', 'db_index': 'True', 'blank': 'True'}),
            'doo_info': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'doo_info_confirmed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'external_id': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'general': ('django.db.models.fields.CharField', [], {'max_length': '1500', 'null': 'True'}),
            'general_confirmed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'null': 'True', 'db_index': 'True', 'blank': 'True'}),
            'report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['gisdo.ReportForm']"}),
            'unit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['unit.Unit']"}),
            'vacant_places': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'vacant_places_confirmed': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        'territory.territory': {
            'Meta': {'object_name': 'Territory', 'db_table': "'territory'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['territory.Territory']", 'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'unit.unit': {
            'Meta': {'object_name': 'Unit', 'db_table': "'unit'"},
            'address_full': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'address_house': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'address_place': ('django.db.models.fields.CharField', [], {'max_length': '13', 'null': 'True', 'blank': 'True'}),
            'address_street': ('django.db.models.fields.CharField', [], {'max_length': '17', 'null': 'True', 'blank': 'True'}),
            'alloc_age_bgn': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'alloc_calc_date': ('django.db.models.fields.DateField', [], {'default': 'datetime.datetime(2010, 9, 1, 0, 0)', 'null': 'True', 'blank': 'True'}),
            'alloc_date_bgn': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'alloc_date_end': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'alloc_in_progress': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'allow_dou_transfer': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'allow_offer_other': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'auto_deduct_at_changing_dou': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'boss_fio': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'build_in_progress': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'build_info': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'centralized_accept_decls': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'childrens_in_queue_only_with_wish_date': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'days_for_direct_dogovor': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True'}),
            'days_for_reject_declaration': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True'}),
            'days_for_reject_direct': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True'}),
            'decentral_model': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'full_name': ('django.db.models.fields.CharField', [], {'max_length': '300', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inn': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'is_info_from_parent': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_not_show_on_poral': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'kind': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.UnitKind']", 'null': 'True', 'blank': 'True'}),
            'kpp': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'max_desired_dou': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'need_decl_priv_doc': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'need_decl_unit_doc': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'ocato': ('django.db.models.fields.CharField', [], {'max_length': '11', 'null': 'True', 'blank': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['unit.Unit']", 'null': 'True', 'blank': 'True'}),
            'privilege_place': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True'}),
            'reception_time': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'site': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'telephone': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'territory': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['territory.Territory']", 'null': 'True', 'blank': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.UnitType']", 'null': 'True', 'blank': 'True'}),
            'unique_id': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            'use_fact_norm_cnt': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'use_only_direct': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'use_transfer_queue': ('django.db.models.fields.IntegerField', [], {'default': '-1'})
        },
        'users.userprofile': {
            'Meta': {'object_name': 'UserProfile'},
            'access_days': ('django.db.models.fields.IntegerField', [], {'default': '7'}),
            'exclude_unit': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'userprofileexcludeunit'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': "orm['unit.Unit']"}),
            'fname': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'iname': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'is_ad_user': ('django.db.models.fields.NullBooleanField', [], {'default': 'False', 'null': 'True', 'blank': 'True'}),
            'max_unit': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'userprofilemaxunit'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': "orm['unit.Unit']"}),
            'need_change_password': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'oname': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'unit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['unit.Unit']", 'null': 'True', 'on_delete': 'models.SET_NULL', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'unique': 'True'})
        }
    }

    complete_apps = ['gisdo']